﻿// Demo.AdminApi
//
// Copyright © 2018 Eurostep
//
// All rights reserved.
//
// MIT License
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
// the Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

namespace Demo.AdminApi
{
    public static partial class Program
    {
        public static void ChangePassword()
        {
            string baseAddress = "http://localhost:5000";
            string authApiKey = "symetricApiKey";
            string email = "admin@eurostep.com";
            string password = "pAssw0rd";
            string uoiVersion = "1";
            ChangePassword(baseAddress, authApiKey, email, password, uoiVersion);
        }

        public static void ReIndex()
        {
            string baseAddress = "http://localhost:5000";
            string adminApiKey = "symetricApiKey";
            string spaceId = "test";
            ReIndex(baseAddress, adminApiKey, spaceId);
        }

        public static void RebuildAnIndex()
        {
            string baseAddress = "http://localhost:5000";
            string adminApiKey = "symetricApiKey";
            string spaceId = "test";
            string indexId = "AuthoringIndex";
            RebuildAnIndex(baseAddress, adminApiKey, spaceId, indexId);
        }

        public static void GetSnapshot()
        {
            string baseAddress = "http://localhost:5000";
            string snapshotApiKey = "symetricApiKey";
            string filePath = @"..\files\snapshot.bin";
            GetSnapshot(baseAddress, snapshotApiKey, filePath);
        }

        public static void InstallSnapshot()
        {
            string baseAddress = "http://localhost:5000";
            string snapshotApiKey = "symetricApiKey";
            string filePath = @"..\files\snapshot.bin";
            InstallSnapshot(baseAddress, snapshotApiKey, filePath);
        }

        public static void Upload()
        {
            string baseAddress = "http://localhost:5000";
            string taskApiKey = "symetricApiKey";
            string path = "/files/test.txt";
            string filePath = @"..\files\test.txt";
            Upload(baseAddress, taskApiKey, path, filePath);
        }

        public static void Download()
        {
            string baseAddress = "http://localhost:5000";
            string taskApiKey = "symetricApiKey";
            string path = "/files/test.txt";
            string filePath = @"..\files\test_downloaded.txt";
            Download(baseAddress, taskApiKey, path, filePath);
        }
    }
}